This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 36444

Summary: Introduce library type
Product: projects Reporter: _ pkuzel <pkuzel>
Component: LibrariesAssignee: issues@projects <issues>
Status: CLOSED WONTFIX    
Severity: blocker Keywords: API
Priority: P3    
Version: 3.x   
Hardware: All   
OS: All   
Issue Type: TASK Exception Reporter:
Bug Depends on:    
Bug Blocks: 23798    

Description _ pkuzel 2003-10-06 10:35:39 UTC
There is new requirement raised by vstejkal that
libraries must be typed and so usefull for
non-Java projects too. Such as C# and VB components.

Typing can have positive influence on UI
presentation so C++ components will not be poluted
by possibility to define their classpath volume.
Comment 1 Vitezslav Stejskal 2003-10-06 15:06:12 UTC
Is it compatible change to existing Libraries API?
Comment 2 _ pkuzel 2003-10-06 15:46:53 UTC
I have not yet designed it conceptually so I cannot say.
Comment 3 _ pkuzel 2003-10-07 16:02:08 UTC
First working bits in prj40_prototype branch. Registration structure
described in libraries.spi package Javadoc. No UI.
Comment 4 Vitezslav Stejskal 2003-11-26 12:53:31 UTC
As described in
http://www.netbeans.org/servlets/ReadMsg?msgId=619519&listName=nbdiscuss the
current work on projects prototype has been stopped.
Comment 5 Vitezslav Stejskal 2003-11-26 14:57:47 UTC
--> VERIFIED